Bug 821984 - test case /distribution/virtinstall failed when using --network as guest args
test case /distribution/virtinstall failed when using --network as guest args
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: tests (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Gurhan Ozen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 22:20 EDT by Chao Ye
Modified: 2013-11-03 21:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-31 01:18:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chao Ye 2012-05-15 22:20:25 EDT
Description of problem:
Tue, 15 May 2012 08:37:31 DEBUG    Launched with command line:
/usr/sbin/virt-install --name rhel6_x86_64_hvm --location nfs://nfs.englab.nay.redhat.com:/pub/rhel/released/RHEL-6/6.1/Client/x86_64/os --ram=2048 --vcpus=2 --disk path=/var/lib/libvirt/images/RHEL6.1-x86_64.img,bus=virtio,size=10 --network model=e1000 --hvm --debug --extra-args ks=http://lab-02.rhts.eng.nay.redhat.com/cblr/svc/op/ks/system/guest-87-1.rhts.eng.nay.redhat.com console=tty0 console=ttyS0,115200 --prompt --accelerate --os-variant=virtio26 --network bridge:br0 --serial file,path=/mnt/tests/distribution/virt/install/rhel6_x86_64_hvm/logs/rhel6_x86_64_hvm_console.log --noreboot --vnc
Tue, 15 May 2012 08:37:31 DEBUG    Requesting libvirt URI default
Tue, 15 May 2012 08:37:31 DEBUG    Received libvirt URI qemu:///system
Tue, 15 May 2012 08:37:32 DEBUG    Requesting virt method 'hvm', hv type 'default'.
Tue, 15 May 2012 08:37:32 DEBUG    Received virt method 'hvm'
Tue, 15 May 2012 08:37:32 DEBUG    Hypervisor name is 'kvm'
Tue, 15 May 2012 08:37:32 ERROR    Unknown network type model

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.use guestargs="--ram=2048 --vcpus=2 --disk path=/var/lib/libvirt/images/RHEL6.1-x86_64.img,bus=virtio,size=10 --network model=e1000 --hvm --kvm" as guest args
2.
3.
  
Actual results:


Expected results:


Additional info:
https://beaker.engineering.redhat.com/jobs/232426
Comment 1 Gurhan Ozen 2012-05-21 14:49:47 EDT
Hi, 
This is fixed and the fixed version is in production:

#  virsh console rhel6_x86_64_hvm
Connected to domain rhel6_x86_64_hvm
Escape character is ^]

[root@dhcp47-102 ~]# ethtool -i eth0
driver: e1000
version: 7.3.21-k6-1-NAPI
firmware-version: N/A
bus-info: 0000:00:03.0


Please let me know if you have any issues. 

Thanks.

Note You need to log in before you can comment on or make changes to this bug.